Yapper Docs
Api reference
GET
/webhooks/{webhookId}/deliveries

Newest first. status is pending (retry scheduled), delivered, failed (gave up, or the endpoint was disabled) or skipped (the endpoint's creator can't read the asset or process).

Authorization

bearerAuth webhooks:read
AuthorizationBearer <token>

In: header

Scope: webhooks:read

Path Parameters

webhookId*string
Match^whe_[A-Za-z0-9_-]{16}$

Query Parameters

status?string

Value in

  • "pending"
  • "delivered"
  • "failed"
  • "skipped"
before?string

A delivery id: list older ones.

limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks/string/deliveries"
{  "data": [    {      "id": "string",      "eventId": "string",      "eventType": "process.completed",      "status": "pending",      "attempts": 0,      "nextAttemptAt": "2019-08-24T14:15:22Z",      "lastAttemptAt": "2019-08-24T14:15:22Z",      "lastHttpStatus": 0,      "lastError": "string",      "deliveredAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "nextBefore": "string"}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}
{  "error": {    "code": "string",    "message": "string",    "requestId": "string"  }}